%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Sugar toolkit
Name: sugar-toolkit
Version: 0.81.4
Release: 1%{?dist}
URL: http://wiki.laptop.org/go/Sugar
Source0: http://dev.laptop.org/pub/sugar/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: macros.sugar
License: LGPLv2
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig
BuildRequires: pygtk2-devel
BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: perl-XML-Parser

Requires: gnome-python2-rsvg
Requires: dbus-python
Requires: pygtk2
Requires: hippo-canvas-python
Requires: sugar-datastore
Requires: sugar-base
Requires: sugar-presence-service
Requires: python-simplejson

%description
Sugar is the core of the OLPC Human Interface. The toolkit provides
a set of widgets to build HIG compliant applications and interfaces
to interact with system services like presence and the datastore.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpm/ 	 
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.sugar

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README

%{python_sitelib}/*
%{_sysconfdir}/rpm/macros.sugar

%changelog
* Mon Jun 09 2008 Simon Schampijer <simon@laptop.org> - 0.81.4-1
- Add an installation time property to the activity bundle (Tomeu)
- Reveal palettes on right-click (Eben)
- Refactor bundlebuilder and add dist_source command (Marco)
- Enable journal to do open-with for activity bundles (Chema)
- Add timezone, hot_corners, warm_edges to the profile (Simon) 

* Thu Apr 24 2008 Simon Schampijer <simon@laptop.org> - 0.79.6-1
- Fix activity installation

* Tue Apr 22 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.79.5-1
- Correctly use tempfile.mkstemp().

* Tue Apr 22 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.79.4-1
- Pylint cleanup.

* Wed Apr 09 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.79.3
- Added default to label arg in palette constructor (eben)

* Fri Apr 04 2008 Dennis Gilmore <dennis@ausil.us> - 0.79.2-3 	 
- add macro defining sugaractivitydir

* Thu Apr 03 2008 Simon Schampijer <simon@laptop.org> - 0.79.2
- add python-simplejson as dependency 
- #5474: Scale emblems

* Wed Apr  2 2008 Simon Schampijer <simon@laptop.org> - 0.79.1
- Frame/Home redesign - Put corner stone

* Fri Feb  8 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.0-2
- Fix source reference

* Wed Feb  6 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.0-1
- Initial build
